Edit Bank assigned to Virtual Account
VIRTUAL ACCOUNT - Edit Bank assigned to Virtual Account
Section titled “VIRTUAL ACCOUNT - Edit Bank assigned to Virtual Account”This API will Edit bank account details shared by the merchant assigned to a specific virtual account of airpay if we pass merchant id, virtual account no, UID, bank name, account number and ifsc code correctly.
https://kraken.airpay.co.in/airpay/va/api/Header
Section titled “Header”| Field | Type | Description |
|---|---|---|
| Content-Type | String | application/x-www-form-urlencoded |
Parameter
Section titled “Parameter”| Field | Type | Description |
|---|---|---|
| action | String | Action to perform - edit_bank (required) |
| private_key | Alphanumeric | Private Key (length 10-200) (required) private_key = hash(‘sha256’, secret.’@’.username.’: |
| merchant_id | Numeric | Merchant Id (required) |
| virtual_account_number | Numeric | Virtual account number or UID Unique user identifier from the merchant is required |
| UID | Numeric | Virtual account number or UID Unique user identifier from the merchant is required |
| bank_name | Varchar | Bank name (required) |
| account_number | Numeric | Bank account number (required) |
| ifsc_code | Alphanumeric | Bank IFSC code (required) |
| bank_id | Number | Bank Id from Airpay on the time of merchant onboarding (required) |
| checksum | Alphanumeric | Hash generated by : sha1(virtual_account_number.bank_name.account_number.ifsc_code.bank_id.UID.action.merchant_id.private_key) (required) |
Request-Example:
Section titled “Request-Example:”curl --location --request POST 'https://kraken.airpay.co.in/airpay/va/api/' \--form 'action=edit_bank' \--form 'private_key=71a4efaf21c79864ec154babfc494f45fd1f65a570805084965d5b29486f1dfe' \--form 'merchant_id=1' \--form 'virtual_account_number=2293640000000010242' \--form 'bank_name=SC' \--form 'account_number=6546797546469' \--form 'ifsc_code=SC544646464' \--form 'bank_id=8' \--form 'checksum=5f593008470bfdcbb0f9c518d79af129bb6fa712'Success 200
Section titled “Success 200”| Field | Type | Description |
|---|---|---|
| STATUS | Number | Status Code Success - 200 Failed - 400 |
| MESSAGE | String | Status Message Success - 200 Transaction is success Transaction in Process - 211 Transaction in processing Failed - 400 Transaction in failed Dropped - 401 The transaction will not register properly Cancel - 402 payment that has not yet been processed Incomplete - 403 Not recieved any call back from bank Bounced - 405 The transaction has bounced No Records - 503 There is no records found Bank account already added - 527 |
Success-Response:
Section titled “Success-Response:”HTTP/1.1 200 OK{ "STATUS": "200", "MESSAGE": "Success"}Failed-Response:
Section titled “Failed-Response:”HTTP/1.1 200 OK{ "STATUS": "400", "MESSAGE": "Failed"}